<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NextStopResult_V3 StructType
 * @subpackage Structs
 */
class NextStopResult_V3 extends NextStopResult_V2
{
    /**
     * The Place
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PlaceIdentifier
     */
    public $Place;
    /**
     * The Trip
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TripIdentifier
     */
    public $Trip;
    /**
     * Constructor method for NextStopResult_V3
     * @uses NextStopResult_V3::setPlace()
     * @uses NextStopResult_V3::setTrip()
     * @param \StructType\PlaceIdentifier $place
     * @param \StructType\TripIdentifier $trip
     */
    public function __construct(\StructType\PlaceIdentifier $place = null, \StructType\TripIdentifier $trip = null)
    {
        $this
            ->setPlace($place)
            ->setTrip($trip);
    }
    /**
     * Get Place value
     * @return \StructType\PlaceIdentifier|null
     */
    public function getPlace()
    {
        return $this->Place;
    }
    /**
     * Set Place value
     * @param \StructType\PlaceIdentifier $place
     * @return \StructType\NextStopResult_V3
     */
    public function setPlace(\StructType\PlaceIdentifier $place = null)
    {
        $this->Place = $place;
        return $this;
    }
    /**
     * Get Trip value
     * @return \StructType\TripIdentifier|null
     */
    public function getTrip()
    {
        return $this->Trip;
    }
    /**
     * Set Trip value
     * @param \StructType\TripIdentifier $trip
     * @return \StructType\NextStopResult_V3
     */
    public function setTrip(\StructType\TripIdentifier $trip = null)
    {
        $this->Trip = $trip;
        return $this;
    }
}
